Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.container.weblogic
Class WebLogic7xContainer

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.cactus.integration.ant.container.AbstractContainer
              org.apache.cactus.integration.ant.container.AbstractJavaContainer
                  org.apache.cactus.integration.ant.container.weblogic.WebLogic7xContainer

All Implemented Interfaces:
  Container

public class WebLogic7xContainer
extends AbstractJavaContainer

Special container support for the Bea WebLogic 7.x application server. TODO: this doesn't work for me on JDK 1.3.1 and WL 7.0 SP2

Version:
  $Id: WebLogic7xContainer.java 239130 2005-01-29 15:49:18Z vmassol $

Constructor Summary
`WebLogic7xContainer()`

Method Summary
`java.lang.String` | `getName()` Returns a displayable name of the container for logging purposes.
`int` | `getPort()` Returns the port to which the container should listen.
`void` | `init()` The default implementation does nothing.
`void` | `setBeaHome(java.io.File theBeaHome)` Sets the Bea home directory.
`void` | `setConfigXml(java.io.File theConfigXml)` Sets the configuration file to use for the test installation of WebLogic.
`void` | `setDir(java.io.File theDir)` Sets the WebLogic 7.x installation directory.
`void` | `setPort(int thePort)` Sets the port to which the container should listen.
`void` | `setTmpDir(java.io.File theTmpDir)` Sets the temporary installation directory.
`void` | `shutDown()` Subclasses must implement this method to perform the actual task of shutting down the container.
`void` | `startUp()` Subclasses must implement this method to perform the actual task of starting up the container.

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractJavaContainer
`setAppend, setJVMArgs, setOutput`

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractContainer
`createExclude, getBaseURL, getContainerClasspath, getExcludePatterns, getProtocol, getServer, getStartUpWait, getSystemProperties, getTestContext, getToDir, isEnabled, isExcluded, setAntTaskFactory, setContainerClasspath, setDeployableFile, setIf, setLog, setProtocol, setServer, setStartUpWait, setSystemProperties, setToDir, setUnless`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebLogic7xContainer

    public WebLogic7xContainer()

Method Detail

### setBeaHome

    public final void setBeaHome(java.io.File theBeaHome)

  Sets the Bea home directory.

  Parameters:
    `theBeaHome` - The BEA home directory

### setDir

    public final void setDir(java.io.File theDir)

  Sets the WebLogic 7.x installation directory.

  Parameters:
    `theDir` - The directory to set

### setPort

    public final void setPort(int thePort)

  Sets the port to which the container should listen.

  Parameters:
    `thePort` - The port to set

### setConfigXml

    public final void setConfigXml(java.io.File theConfigXml)

  Sets the configuration file to use for the test installation of WebLogic.

  Parameters:
    `theConfigXml` - The custom `config.xml` file

### setTmpDir

    public final void setTmpDir(java.io.File theTmpDir)

  Sets the temporary installation directory.

  Parameters:
    `theTmpDir` - The temporary directory to set

### getName

    public final java.lang.String getName()

  Description copied from interface: `Container`
  Returns a displayable name of the container for logging purposes.

  Returns:
    The container name
  See Also:
    `Container.getName()`

### getPort

    public final int getPort()

  Returns the port to which the container should listen.

  Returns:
    The port

### init

    public final void init()

  Description copied from class: `AbstractContainer`
  The default implementation does nothing.

  Specified by:
    `init` in interface `Container`
  Overrides:
    `init` in class `AbstractContainer`
  See Also:
    `Container.init()`

### startUp

    public final void startUp()

  Description copied from interface: `Container`
  Subclasses must implement this method to perform the actual task of starting up the container.

  See Also:
    `Container.startUp()`

### shutDown

    public final void shutDown()

  Description copied from interface: `Container`
  Subclasses must implement this method to perform the actual task of shutting down the container.

  See Also:
    `Container.shutDown()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.